libzypp 17.37.10

zypp::misc::testcase Namespace Reference

## Classes
class | ForceInstall
struct | ForceInstallImpl
class | LoadTestcase
class | RepoData
struct | RepoDataImpl
class | TestcaseSetup
struct | TestcaseSetupImpl
struct | TestcaseTrial

## Enumerations
enum class | TestcaseRepoType { Helix , Testtags , Url }

## Variables
static const std::string | helixControlFile = "solver-test.xml"
static const std::string | yamlControlFile = "zypp-control.yaml"

## Enumeration Type Documentation

## ◆ TestcaseRepoType

enum class zypp::misc::testcase::TestcaseRepoType
| strong

Enumerator
Helix |
Testtags |
Url |

Definition at line 37 of file TestcaseSetup.h.

## Variable Documentation

## ◆ helixControlFile

const std::string zypp::misc::testcase::helixControlFile = "solver-test.xml"
| static

Definition at line 20 of file LoadTestcase.cc.

## ◆ yamlControlFile

const std::string zypp::misc::testcase::yamlControlFile = "zypp-control.yaml"
| static

Definition at line 21 of file LoadTestcase.cc.